Debian Bug report logs - #653691
hotot: missing Depends: python-dbus

version graph

Package: hotot; Maintainer for hotot is Debian QA Group <packages@qa.debian.org>; Source for hotot is src:hotot.

Reported by: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>

Date: Fri, 30 Dec 2011 11:24:01 UTC

Severity: grave

Found in version hotot/1:0.9.7.32+git20111213.1d89daf-1

Fixed in versions hotot/1:0.9.7.32+git20111213.1d89daf-1.1, 0.9.7.32+git20111213.1d89daf-1.1

Done: billy3321 <billy3321@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien Valroff <julien@debian.org>:
Bug#653691; Package hotot. (Fri, 30 Dec 2011 11:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
New Bug report received and forwarded. Copy sent to Julien Valroff <julien@debian.org>. (Fri, 30 Dec 2011 11:24:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hotot: missing Depends: python-dbus
Date: Fri, 30 Dec 2011 20:20:19 +0900
Package: hotot
Version: 1:0.9.7.32+git20111213.1d89daf-1
Severity: grave
Justification: renders package unusable

Hotot does not work with a following error message:

$ hotot
Traceback (most recent call last):
  File "/usr/bin/hotot", line 13, in <module>
    import hotot.hotot
  File "/usr/share/hotot/hotot/hotot.py", line 15, in <module>
    import dbus
ImportError: No module named dbus

Installing python-dbus fixes the problem.

Thanks,
-- 
YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'),
(1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-rc7-rt-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages hotot depends on:
ii  libjs-jquery      1.7.1-1
ii  python            2.7.2-9
ii  python-gobject    3.0.3-1
ii  python-gtk2       2.24.0-2
ii  python-keybinder  0.2.2-3
ii  python-notify     0.1.1-3
ii  python-webkit     1.1.8-2

hotot recommends no packages.

hotot suggests no packages.

-- no debconf information




Added tag(s) pending. Request was from Julien Valroff <julien@debian.org> to control@bugs.debian.org. (Fri, 30 Dec 2011 11:42:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Julien Valroff <julien@debian.org>:
Bug#653691; Package hotot. (Sat, 31 Dec 2011 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Julien Valroff <julien@debian.org>. (Sat, 31 Dec 2011 04:18:03 GMT) Full text and rfc822 format available.

Message #12 received at 653691@bugs.debian.org (full text, mbox):

From: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
To: 653691@bugs.debian.org
Subject: still missing in Depends field
Date: Sat, 31 Dec 2011 13:15:26 +0900
[Message part 1 (text/plain, inline)]
Hi,

Building git HEAD still lacks Depends field.
Attached patch should fix the problem.
I do not know a correct way to "generate" Depends field
when packaging python apps ...

Thanks,
-- 
YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
[add_dbus_to_depends.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#653691; Package hotot. (Sat, 31 Dec 2011 09:18:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@debian.org>:
Extra info received and forwarded to list. (Sat, 31 Dec 2011 09:18:50 GMT) Full text and rfc822 format available.

Message #17 received at 653691@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@debian.org>
To: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>, 653691@bugs.debian.org
Subject: Re: Bug#653691: still missing in Depends field
Date: Sat, 31 Dec 2011 10:14:57 +0100
Le samedi 31 déc. 2011 à 05:15:26 (+0100 CET), YOSHINO Yoshihito a écrit :
> Hi,
> 
> Building git HEAD still lacks Depends field.
> Attached patch should fix the problem.
> I do not know a correct way to "generate" Depends field
> when packaging python apps ...

My bad, I had added python-dbus to the Build-Depends field - this is now
fixed in git.

Cheers,
Julien

-- 
  .''`.   Julien Valroff ~ <julien@kirya.net> ~ <julien@debian.org>    
 : :'  :  Debian Developer & Free software contributor
 `. `'`   http://www.kirya.net/
   `-     4096R/ E1D8 5796 8214 4687 E416  948C 859F EF67 258E 26B1




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Valroff <julien@debian.org>:
Bug#653691; Package hotot. (Mon, 09 Jan 2012 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Julien Valroff <julien@debian.org>. (Mon, 09 Jan 2012 18:45:06 GMT) Full text and rfc822 format available.

Message #22 received at 653691@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 653691@bugs.debian.org
Subject: Re: Bug#653691: still missing in Depends field
Date: Mon, 9 Jan 2012 19:40:22 +0100
* Julien Valroff <julien@debian.org>, 2011-12-31, 10:14:
>>Building git HEAD still lacks Depends field.
>>Attached patch should fix the problem.
>>I do not know a correct way to "generate" Depends field
>>when packaging python apps ...
>
>My bad, I had added python-dbus to the Build-Depends field - this is now
>fixed in git.

s/Build-Depens/Depends/ perhaps?
Because otherwise I can't see how would that help.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Valroff <julien@debian.org>:
Bug#653691; Package hotot. (Mon, 09 Jan 2012 18:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Julien Valroff <julien@debian.org>. (Mon, 09 Jan 2012 18:45:08 GMT) Full text and rfc822 format available.

Message #27 received at 653691@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 653691@bugs.debian.org
Subject: Re: Bug#653691: still missing in Depends field
Date: Mon, 9 Jan 2012 19:41:37 +0100
* Jakub Wilk <jwilk@debian.org>, 2012-01-09, 19:40:
>s/Build-Depens/Depends/ perhaps?
>Because otherwise I can't see how would that help.

Nevermind, ignore me. I obviously didn't read the previous message.

-- 
Jakub Wilk




Reply sent to Julien Valroff <julien@debian.org>:
You have taken responsibility. (Sat, 07 Apr 2012 07:00:03 GMT) Full text and rfc822 format available.

Notification sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
Bug acknowledged by developer. (Sat, 07 Apr 2012 07:00:03 GMT) Full text and rfc822 format available.

Message #32 received at 653691-done@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@debian.org>
To: 653691-done@bugs.debian.org
Subject: Closing bug
Date: Sat, 7 Apr 2012 08:56:54 +0200
Package hotot
Version 1:0.9.7.37+git20120123.5524ecc-1

This bug was actually closed in a version which was not uploaded to the
archive. Hence closing manually.

Cheers,
Julien

-- 
  .''`.   Julien Valroff ~ <julien@kirya.net> ~ <julien@debian.org>    
 : :'  :  Debian Developer & Free software contributor
 `. `'`   http://www.kirya.net/
   `-     4096R/ E1D8 5796 8214 4687 E416  948C 859F EF67 258E 26B1




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Valroff <julien@debian.org>:
Bug#653691; Package hotot. (Sat, 07 Apr 2012 10:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Julien Valroff <julien@debian.org>. (Sat, 07 Apr 2012 10:15:05 GMT) Full text and rfc822 format available.

Message #37 received at 653691@bugs.debian.org (full text, mbox):

From: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
To: 653691@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#653691 closed by Julien Valroff <julien@debian.org> (Closing bug)
Date: Sat, 7 Apr 2012 19:13:19 +0900
package hohot
repoen 653691
thanks

Hi,

The package in the Debian archive is still broken since the fixed
version of the package is not uploaded.
Please close this bug only when/after the fix is uploaded.

Thanks,
-- 
YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>

On Sat, Apr 7, 2012 at 16:00, Debian Bug Tracking System
<owner@bugs.debian.org> wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the hotot package:
>
> #653691: hotot: missing Depends: python-dbus
>
> It has been closed by Julien Valroff <julien@debian.org>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Julien Valroff <julien@debian.org> by
> replying to this email.
>
>
> --
> 653691: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653691
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Forwarded message ----------
> From: Julien Valroff <julien@debian.org>
> To: 653691-done@bugs.debian.org
> Cc:
> Date: Sat, 7 Apr 2012 08:56:54 +0200
> Subject: Closing bug
> Package hotot
> Version 1:0.9.7.37+git20120123.5524ecc-1
>
> This bug was actually closed in a version which was not uploaded to the
> archive. Hence closing manually.
>
> Cheers,
> Julien
>
> --
>  .''`.   Julien Valroff ~ <julien@kirya.net> ~ <julien@debian.org>
>  : :'  :  Debian Developer & Free software contributor
>  `. `'`   http://www.kirya.net/
>   `-     4096R/ E1D8 5796 8214 4687 E416  948C 859F EF67 258E 26B1
>
>
>
> ---------- Forwarded message ----------
> From: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Cc:
> Date: Fri, 30 Dec 2011 20:20:19 +0900
> Subject: hotot: missing Depends: python-dbus
> Package: hotot
> Version: 1:0.9.7.32+git20111213.1d89daf-1
> Severity: grave
> Justification: renders package unusable
>
> Hotot does not work with a following error message:
>
> $ hotot
> Traceback (most recent call last):
>  File "/usr/bin/hotot", line 13, in <module>
>    import hotot.hotot
>  File "/usr/share/hotot/hotot/hotot.py", line 15, in <module>
>    import dbus
> ImportError: No module named dbus
>
> Installing python-dbus fixes the problem.
>
> Thanks,
> --
> YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'),
> (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.2.0-rc7-rt-amd64 (SMP w/4 CPU cores; PREEMPT)
> Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages hotot depends on:
> ii  libjs-jquery      1.7.1-1
> ii  python            2.7.2-9
> ii  python-gobject    3.0.3-1
> ii  python-gtk2       2.24.0-2
> ii  python-keybinder  0.2.2-3
> ii  python-notify     0.1.1-3
> ii  python-webkit     1.1.8-2
>
> hotot recommends no packages.
>
> hotot suggests no packages.
>
> -- no debconf information
>
>
>




Bug reopened Request was from YOSHINO Yoshihito <yy.y.ja.jp@gmail.com> to control@bugs.debian.org. (Sat, 07 Apr 2012 10:21:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#653691; Package hotot. (Sat, 07 Apr 2012 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@debian.org>:
Extra info received and forwarded to list. (Sat, 07 Apr 2012 10:24:04 GMT) Full text and rfc822 format available.

Message #44 received at 653691@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@debian.org>
To: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>, 653691@bugs.debian.org
Subject: Re: Bug#653691: closed by Julien Valroff <julien@debian.org> (Closing bug)
Date: Sat, 7 Apr 2012 12:21:01 +0200
Le samedi 07 avril 2012 à 12:13:19 (+0200 CEST), YOSHINO Yoshihito a écrit :
> package hohot
> repoen 653691
> thanks
> 
> Hi,
> 
> The package in the Debian archive is still broken since the fixed
> version of the package is not uploaded.
> Please close this bug only when/after the fix is uploaded.

you're 100% right - not sure what I've done, thanks for spotting this

Cheers,
Julien

-- 
  .''`.   Julien Valroff ~ <julien@kirya.net> ~ <julien@debian.org>    
 : :'  :  Debian Developer & Free software contributor
 `. `'`   http://www.kirya.net/
   `-     4096R/ E1D8 5796 8214 4687 E416  948C 859F EF67 258E 26B1




Reply sent to billy3321 <billy3321@gmail.com>:
You have taken responsibility. (Sun, 29 Apr 2012 08:51:04 GMT) Full text and rfc822 format available.

Notification sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 08:51:25 GMT) Full text and rfc822 format available.

Message #49 received at 653691-close@bugs.debian.org (full text, mbox):

From: billy3321 <billy3321@gmail.com>
To: 653691-close@bugs.debian.org
Subject: Bug#653691: fixed in hotot 1:0.9.7.32+git20111213.1d89daf-1.1
Date: Sun, 29 Apr 2012 08:48:41 +0000
Source: hotot
Source-Version: 1:0.9.7.32+git20111213.1d89daf-1.1

We believe that the bug you reported is fixed in the latest version of
hotot, which is due to be installed in the Debian FTP archive:

hotot_0.9.7.32+git20111213.1d89daf-1.1.debian.tar.gz
  to main/h/hotot/hotot_0.9.7.32+git20111213.1d89daf-1.1.debian.tar.gz
hotot_0.9.7.32+git20111213.1d89daf-1.1.dsc
  to main/h/hotot/hotot_0.9.7.32+git20111213.1d89daf-1.1.dsc
hotot_0.9.7.32+git20111213.1d89daf-1.1_all.deb
  to main/h/hotot/hotot_0.9.7.32+git20111213.1d89daf-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653691@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
billy3321 <billy3321@gmail.com> (supplier of updated hotot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Apr 2012 14:25:00 +0800
Source: hotot
Binary: hotot
Architecture: source all
Version: 1:0.9.7.32+git20111213.1d89daf-1.1
Distribution: unstable
Urgency: low
Maintainer: Julien Valroff <julien@debian.org>
Changed-By: billy3321 <billy3321@gmail.com>
Description: 
 hotot      - lightweight microblogging client
Closes: 653691
Changes: 
 hotot (1:0.9.7.32+git20111213.1d89daf-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Added missing python-dbus dependency (Closes: #653691).
Checksums-Sha1: 
 7e8e8f9b50e14fa35b48df8998b41130bdd50227 1439 hotot_0.9.7.32+git20111213.1d89daf-1.1.dsc
 235c0d1adf9becf1cd761a3eb83fcb18e0f26c56 7018 hotot_0.9.7.32+git20111213.1d89daf-1.1.debian.tar.gz
 48d48e7998d5d1287cb8b7344a5f9e764ffafeda 612312 hotot_0.9.7.32+git20111213.1d89daf-1.1_all.deb
Checksums-Sha256: 
 cbe1d7f35824b81f9981cf8c4fc022930bd0aa9145b6a52e69bbd068a2643b52 1439 hotot_0.9.7.32+git20111213.1d89daf-1.1.dsc
 9813106525b7b38dd1745b9fc3fc7108c0f6b76399e5d6276961b126a143cb07 7018 hotot_0.9.7.32+git20111213.1d89daf-1.1.debian.tar.gz
 b99e302b3fd71fa074aee10131f4fd64c245a4dcec13a2436c971d1c03c95044 612312 hotot_0.9.7.32+git20111213.1d89daf-1.1_all.deb
Files: 
 dea99b408fb07a9f1ecdf0199bd6b7d6 1439 net optional hotot_0.9.7.32+git20111213.1d89daf-1.1.dsc
 2b396dc63d7957bb7cac1fc0a3d425fc 7018 net optional hotot_0.9.7.32+git20111213.1d89daf-1.1.debian.tar.gz
 620b4bc2a92cb0848bd07c9ddb7b1062 612312 net optional hotot_0.9.7.32+git20111213.1d89daf-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+c8s4ACgkQ+MQbLPcULsIUrgCg1vX4slCfyJOatRvZeHhs3fgK
ZSAAn3RGoshZqCSH7bZ9v6segU70eyt6
=mlLe
-----END PGP SIGNATURE-----





Marked as fixed in versions 0.9.7.32+git20111213.1d89daf-1.1. Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Sun, 29 Apr 2012 09:03:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jun 2012 07:44:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:58:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.